FROM registry.cn-chengdu.aliyuncs.com/reghao/amazoncorretto:17.0.16-alpine3.22

WORKDIR /app
RUN ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime && echo 'Asia/Shanghai' >/etc/timezone
COPY target/tnb-admin.jar /app/tnb-admin.jar

ENTRYPOINT ["java","-Djava.security.egd=file:/dev/./urandom","-jar","/app/tnb-admin.jar"]